class Chatbot:
    def __init__(self, db_connector):
        self.db_connector = db_connector

    def get_database_structure(self):
        schema = self.db_connector.get_schema()
        return self.format_schema(schema)

    def format_schema(self, schema):
        formatted_schema = ""
        for table in schema:
            formatted_schema += f"Table: {table['table']}\n"
            for column in table['columns']:
                formatted_schema += f"  - Column: {column['name']} (Type: {column['type']})\n"
            formatted_schema += "\n"
        return formatted_schema

    def respond_to_query(self, query):
        if "database structure" in query.lower():
            return self.get_database_structure()
        else:
            return "I'm sorry, I can only provide information about the database structure."