class DatabaseSchema:
    def __init__(self, connector):
        self.connector = connector

    def get_schema(self):
        conn = self.connector.connect()
        if not conn:
            return "Error: Unable to connect to the database."

        try:
            cursor = conn.cursor()
            cursor.execute("SELECT TABLE_NAME FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_TYPE = 'BASE TABLE'")
            tables = cursor.fetchall()

            schema = {}
            for (table_name,) in tables:
                cursor.execute(f"SELECT COLUMN_NAME FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = ?", table_name)
                columns = [column[0] for column in cursor.fetchall()]
                schema[table_name] = columns

            return schema
        except Exception as e:
            return f"Error retrieving schema: {e}"
        finally:
            conn.close()